Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class CatalogueHarvester

    java.lang.Object
      java.util.TimerTask
          org.deegree.ogcwebservices.csw.manager.AbstractHarvester
              org.deegree.ogcwebservices.csw.manager.CatalogueHarvester

All Implemented Interfaces:
  Runnable

    public class CatalogueHarvester

extends AbstractHarvester

Harverster implementation for harvesting other catalogue services. Just dataset, series (datasetcollection) und application metadatatypes will be harvested.

Since:
  2.0
Version:
  $Revision: 19475 $, 1.0. $Revision: 19475 $, $Date: 2009-09-02 14:51:48 +0200 (Mi, 02. Sep 2009) $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $

Nested Class Summary
`protected class` | `CatalogueHarvester.HarvestProcessor` inner class for processing asynchronous harvesting of a catalogue

Nested classes/interfaces inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester
`AbstractHarvester.AbstractHarvestProcessor`

Field Summary
`(package private) static ILogger` | `LOG`

Fields inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester
`inProgress, nsc, version`

Method Summary
`static CatalogueHarvester` | `getInstance(String version)` singelton
`void` | `run()`

Methods inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester
`addRequest, getIdentifierXPath, getIdentifierXPathForUpdate, informResponseHandlers, informResponseHandlers, isRunning, removeRequest, shallHarvest, startHarvesting, stopHarvesting`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final ILogger LOG

Method Detail

### getInstance

    public static CatalogueHarvester getInstance(String version)

  singelton

  Parameters:
    `version` - the version of the CSW
  Returns:
    instance of CatalogueHarvester

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org